import { EErrorType } from "./EErrorType";

/**
 * Warnings which are generated by constraints.
 */
export interface IError {
  /**
   * Severeness of the warning.
   */
  severeness: EErrorType;
  /**
   * Explanation of the warning
   */
  message: string;
  /**
   * The name of the constraint that generated the warning.
   */
  name: string;
  /**
   * The description of the constraint that generated the warning.
   */
  description: string;
  /**
   * True if the warning is global, and not for a specific node.
   */
  global: boolean;
  /**
   * The node ID that this warning is associated with, null if global.
   */
  node: number | null;
}
